Subject: 23.3; on Windows, message-box does not display line breaks in the message

From: "Dino Chiesa" <[email-masked]>
Date: Sat, 31 Mar 2012 07:53:40 -0700

When I run this code: 

  (message-box (concat "First line in a long-ish message.\n"
                     "This is line number 2 in the message."))

The message gets displayed in one very wide dialog box. 
I would expect it to break at the \n.  Line breaks work, apparently,
on Linux, so I am told. But I have confirmed with others that they
see this anomalous message-box behavior on Windows . 

In GNU Emacs 23.3.1 (i386-mingw-nt6.1.7601)
of 2011-03-10 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 6.1.7601
configured using `configure --with-gcc (4.5) --no-opt --cflags -Ic:/imagesupport/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Dired by ext

Minor modes in effect:
  show-paren-mode: t
  recentf-mode: t
  shell-dirtrack-mode: t
  yas/global-mode: t
  yas/minor-mode: t
  global-hl-line-mode: t
  hl-line-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<C-left> u i - l i g h t n e s s <escape> d <C-left> 
<C-left> <left> <escape> SPC <C-left> <left> C-w C-y 
C-y <escape> b s t a r t <escape> d C-b C-b C-b C-b 
C-b C-b <escape> SPC <escape> b C-b C-w C-y C-t C-x 
u <escape> SPC <escape> C-b C-w C-y C-y <escape> b 
h u m a n i t y <escape> d C-n C-n C-n C-n C-x C-s 
<up> <up> <up> <up> <C-right> <C-right> <down> <C-right> 
<C-right> <C-right> <C-right> <C-right> <C-right> <C-right> 
<C-right> <C-right> <C-right> <C-right> <C-right> <C-right> 
<C-right> <C-left> <left> <backspace> 1 <down> <down> 
<down> $ 0 C-x C-s <help-echo> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> C-e <down> <C-right> 
<C-right> <C-right> <right> u i . <escape> b <backspace> 
- C-x C-s C-x C-f <backspace> <return> g s C-p C-p 
C-p C-n C-n C-n u C-p C-p <help-echo> <down> f C-e 
<down> <down> <down> <down> <down> <down> <down> <up> 
C-e <down> C-e <up> C-e <left> <C-left> <C-left> <C-left> 
<left> <backspace> <backspace> <down> C-x C-s <left> 
<down> C-d <up> <up> <up> <up> <up> C-e <left> <left> 
<down> <down> <down> <down> <down> C-x C-s C-x C-f 
<backspace> <return> C-p C-p C-p C-p C-p C-p f C-n 
C-n C-n C-n C-e C-b C-b C-d C-n C-x C-s C-x k <return> 
C-n f C-n C-n C-e C-n C-n C-p C-p C-p C-n C-n C-n C-n 
C-n C-x k <return> C-n C-n C-n C-n C-n C-n C-n C-p 
C-p C-x b t h e <tab> C-g C-x C-f <escape> <backspace> 
<escape> <backspace> <escape> <backspace> t h e s <tab> 
e l <tab> <return> <escape> SPC <escape> > C-w C-y 
C-x k <return> y e s <return> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <escape> x r e 
p o r t - e m <tab> <return>

Recent messages:
Directory has changed on disk; type g to update Dired
Saving file c:/Users/Dino/elisp/snippets/html-mode/script-jquery-ui...
Wrote c:/Users/Dino/elisp/snippets/html-mode/script-jquery-ui
Saving file c:/Users/Dino/elisp/snippets/html-mode/script-jquery-ui...
Wrote c:/Users/Dino/elisp/snippets/html-mode/script-jquery-ui
Saving file c:/Users/Dino/elisp/snippets/html-mode/link...
Wrote c:/Users/Dino/elisp/snippets/html-mode/link
Quit
Mark set [2 times]
Auto-saving...

Load-path shadows:
/users/dino/elisp/refill hides c:/emacs/lisp/textmodes/refill

Features:
(shadow sort mail-extr message ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailabbrev nnheader
gnus-util netrc gmm-utils mailheader canlock sha1 hex-util hashcash
emacsbug sgml-mode holidays hol-loaddefs cal-menu calendar cal-loaddefs
ebnf2ps ps-print ps-def lpr epg-config ansi-color goto-addr nxml-uchnm
rng-xsd xsd-regexp rng-cmpct rng-nxml rng-valid rng-loc rng-uri
rng-parse nxml-parse rng-match rng-dt rng-util rng-pttrn nxml-ns
nxml-mode nxml-outln nxml-rap nxml-util nxml-glyph nxml-enc xmltok
vbs-mode browse-url mail-utils info find-func dabbrev smart-op
flymake-for-jslint-for-wsh autopair js json etags imenu dired-aux tabify
compare-w rfringe paren csharp-mode cc-langs cc-mode cc-fonts cc-menus
cc-cmds align mule-util pp grep time-stamp multi-isearch conf-mode
newcomment cl-specs edebug url-cache format-spec url-http tls mail-parse
rfc2231 rfc2047 rfc2045 qp ietf-drums time-date url-gw url-auth url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-util url-parse url-vars mm-util mail-prsvr mailcap autorevert server
thesaurus recentf tree-widget flyphpcs flymake-cursor byte-opt warnings
bytecomp byte-compile flymake compile synonyms-autoloads package
cperl-mode jsshell-bundle jsshell shell comint ring hideshow cc-styles
cc-align cc-engine cc-vars cc-defs dired regexp-opt defaultcontent
thingatpt yasnippet dropdown-list derived easy-mmode help-mode view
assoc cl cl-19 tfs skeleton edmacro kmacro httpget hl-line advice
help-fns advice-preload cus-edit easymenu cus-start cus-load wid-edit
tooltip ediff-hook vc-hooks lisp-float-type mwheel dos-w32 disp-table
ls-lisp w32-win w32-vars tool-bar dnd fontset image fringe lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mldrag mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
loaddefs button minibuffer faces cus-face files text-properties overlay
md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process multi-tty emacs)